#!/bin/bash
######################################################################
#                                                                    #
#  Copyright (c) 2001, 2025 NoMachine, http://www.nomachine.com.     #
#                                                                    #
#  All rights reserved.                                              #
#                                                                    #
######################################################################

RunDir=${0%nxrouteinadd.sh}
RestrictedDir=$(cd "${RunDir}" && pwd)

source "${RestrictedDir}/nxroutein.sh"

#
# Set value of ip_forward.
#

if [ ! -f "${NX_IP_FORWARD}" ]; then

  #
  # Create copy of ip_forward value if there is none already.
  #

  ${COMMAND_CAT} "${IP_FORWARD}" > "${NX_IP_FORWARD}"

fi

${COMMAND_ECHO} 1 > "${IP_FORWARD}"

#
# Call iptables.
#

for gate in ${GATEWAYS[*]}; do

  ${COMMAND_IPTABLES} -t nat -A POSTROUTING -o ${gate} -j MASQUERADE

  ${COMMAND_IPTABLES} -A FORWARD -i ${gate} -o ${TAP_INTERFACE} -m state --state RELATED,ESTABLISHED -j ACCEPT

  ${COMMAND_IPTABLES} -A FORWARD -i ${TAP_INTERFACE} -o ${gate} -j ACCEPT

done

${COMMAND_ECHO} "Exit success."
